SYSTEMD-REPORT(1)

NOM
systemd-report – Génération de rapport sur les faits et les métriques d’un système

SYNOPSIS

systemd-report [OPTIONS...]

DESCRIPTION

Remarque : cette commande est actuellement expérimentale. Bien qu’elle soit susceptible de devenir un composant régulier de systemd, elle peut encore changer dans son comportement et son interface.

systemd-report recherche des faits (facts) et des métriques du système et les affiche sur la sortie standard.

COMMANDES

Les commandes suivantes sont acceptées :

metrics [correspondance...]
    Obtenir une liste de valeurs de métriques pour tous les services locaux les fournissant et les afficher sur la sortie standard. Facultativement, cette option peut prendre une ou plusieurs expressions de correspondance pour filtrer les métriques à afficher. L’expression peut être soit un nom littéral de famille de métriques à rechercher, soit un préfixe de nom (dont la correspondance sera recherchée jusqu’au point). Si plusieurs correspondances sont indiquées sous forme de plusieurs paramètres, toute métrique correspondant à n’importe laquelle des correspondances indiquées est affichée.

    Ajouté dans la version 260.

describe-metrics [correspondance...]
    Obtenir une liste de familles de métriques pour tous les services locaux les fournissant et les afficher sur la sortie standard. Cela renvoie essentiellement des informations statiques sur les métriques, leurs types de données et des descriptions humainement compréhensibles, sans leurs valeurs.

    Les expressions de correspondance similaires à celles gérées par l’option metrics sont aussi gérées par l’option describe-metrics.

    Ajouté dans la version 260.

list-sources
    Afficher une liste des sources connues de métrique

    Ajouté dans la version 260.

OPTIONS

Les options suivantes sont comprises :

--system, --user
    Rechercher les sources de métriques pour tout le système ou celles propres à l’utilisateur.

    Ajouté dans la version 260.

--no-pager
    Ne pas rediriger (pipe) la sortie vers un afficheur (pager).

--json=MODE
    Afficher la sortie formatée en JSON. Le mode attendu est « short » (pour la sortie la plus concise possible sans redondance d’espace ou de saut de ligne), « pretty » (pour une plus jolie version de la même chose avec indentation et sauts de ligne) ou « off » (pour désactiver la sortie JSON, comportement par défaut).

-j
    Équivalent à --json=pretty lorsque lancé sur un terminal et à --json=short autrement.

--no-legend
    Ne pas imprimer de légende, c'est-à-dire les en-têtes de colonnes et le pied de page contenant des remarques.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.